terraform {
  required_providers {
    rancher2 = {
      source = "rancher/rancher2"
      version = "1.24.0"
    }
  }
}

provider "rancher2" {
  api_url   = "https://{{ rancher_public_domain }}"
  bootstrap = true
}

resource "rancher2_bootstrap" "admin" {
  password = "{{ admin_password }}"
  telemetry = false
  ui_default_landing = "ember"
}

output "rancher_username" {
  value = rancher2_bootstrap.admin.user
}

output "rancher_token" {
  value = rancher2_bootstrap.admin.token
  sensitive = true
}

output "rancher_url" {
  value = rancher2_bootstrap.admin.url
}
